# Charts' states

Source: `R/apex-utils.R`
`ax_states.Rd`

Charts' states

    ax_states(ax, normal = NULL, hover = NULL, active = NULL, ...)

## Arguments

ax | A `apexcharts` `htmlwidget` object.
normal | A list of parameters.
hover | A list of parameters.
active | A list of parameters.
... | Additional parameters.

## Value

A `apexcharts` `htmlwidget` object.

## Note

See https://apexcharts.com/docs/options/states/

## Examples

    library(dplyr)
    data("mpg", package = "ggplot2")

    # Inverse effect on hover
    apex(
      data = count(mpg, manufacturer),
      mapping = aes(x = manufacturer, y = n),
      type = "bar"
    ) %>%
      ax_states(
        hover = list(
          filter = list(
            type = "darken"
          )
        )
      )